<head ng-style="{'background-image':'url(../../../assets/images/background_boat.jpg)'}">
</head>

<mat-card class="login-form">
  <form (submit)="onLoginSubmit()">
      <mat-card-header class="login-title">
        Please sign in.
      </mat-card-header>

      <mat-list>
        <mat-divider class="divider-title"></mat-divider>
      </mat-list>

      <mat-card-content class="login-box-body">
        <mat-grid-list cols="9" rowHeight="75px">
          <mat-grid-tile [rowspan]="1" class="login-icon">
            <mat-icon>person</mat-icon>
          </mat-grid-tile>
          <mat-grid-tile [colspan]="7">
            <mat-input-container class="justifier">
              <input matInput type="text" [(ngModel)]="username" name="username" class="form-control" placeholder="Username" required autofocus>
            </mat-input-container>
          </mat-grid-tile>
        </mat-grid-list>

        <mat-grid-list cols="9" rowHeight="100px">
          <mat-grid-tile [rowspan]="1"  class="login-icon">
            <mat-icon>lock</mat-icon>
          </mat-grid-tile>
          <mat-grid-tile [colspan]="7">
            <mat-input-container class="justifier">
              <input matInput type="password" [(ngModel)]="password" name="password" class="form-control" placeholder="Password" required>
            </mat-input-container>
          </mat-grid-tile>
        </mat-grid-list>

        <mat-grid-list cols="2" rowHeight="75px">
          <mat-grid-tile colspan="1">
            <button mat-raised-button color="primary" class="login-button" type="submit">
              <mat-icon>power_settings_new</mat-icon> Login
            </button>
          </mat-grid-tile>
          <mat-grid-tile colspan="1">
            <button mat-raised-button color="default" class="register-button" [routerLink]="['/register']">
              <mat-icon>edit</mat-icon> Register
            </button>
          </mat-grid-tile>
        </mat-grid-list>
      </mat-card-content>
  </form>
</mat-card>
